module rgb_op0(

(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 iV ACTIVE_VIDEO" *) input wire       iRGB_ACTIVE,
(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 iV DATA" *)         input wire [23:0]iRGB_DATA  ,
(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 iV HSYNC" *)        input wire       iRGB_HSYNC ,
(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 iV VSYNC" *)        input wire       iRGB_VSYNC ,


(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 iV VSYNC" *)        input wire  [1:0] isel,

(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 oV ACTIVE_VIDEO" *) output wire       oRGB_ACTIVE,
(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 oV DATA" *)         output wire [23:0]oRGB_DATA  ,
(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 oV HSYNC" *)        output wire       oRGB_HSYNC ,
(* X_INTERFACE_INFO = "xilinx.com:interface:vid_io:1.0 oV VSYNC" *)        output wire       oRGB_VSYNC  

);

assign oRGB_ACTIVE = iRGB_ACTIVE;

//assign oRGB_DATA   = iRGB_DATA  ;

assign oRGB_DATA[8*0+:8] =(isel[0])? ~iRGB_DATA[8*0+:8] : iRGB_DATA[8*0+:8];
assign oRGB_DATA[8*1+:8] =(isel[0])? ~iRGB_DATA[8*1+:8] : iRGB_DATA[8*1+:8];
assign oRGB_DATA[8*2+:8] =(isel[0])? ~iRGB_DATA[8*2+:8] : iRGB_DATA[8*2+:8];

assign oRGB_HSYNC  = iRGB_HSYNC ;
assign oRGB_VSYNC  = iRGB_VSYNC ;

endmodule
